Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.html
Class ButtonElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.SinglePartElement
                        |
                        +--weblogic.html.ButtonElement

public final class ButtonElement
extends SinglePartElement

A ButtonElement is used as a special kind of input element on an HTML form. A ButtonElement can be of three types: `submit` and `reset` (which, like InputElements of the same type, cause a form to be reset or submitted), and `button`, which creates a push button intended to trigger a client-side script. The default value is `submit`. A ButtonElement's content can be set to an image, with which the image's ALT tag should be used to provide textual information to non-graphic browsers.

Author:
  Copyright (c) 1997 by WebLogic, Inc. All Rights Reserved.
See Also:
  `InputElement`, `FormElement`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`ButtonElement()` Deprecated. Constructs a ButtonElement.
`ButtonElement(java.lang.String name)` Deprecated. Constructs a ButtonElement with the specified name.
`ButtonElement(java.lang.String name, FieldType typeval)` Deprecated. Constructs a ButtonElement of the specified FieldType (submit, reset, or button) and the specified name.
`ButtonElement(java.lang.String name, FieldType typeval, HtmlElement contents)` Deprecated. Constructs a ButtonElement with the specified name and of the specified FieldType (submit, reset, or button), set to the specified HtmlElement (for instance, an ImageElement).
`ButtonElement(java.lang.String name, FieldType typeval, java.lang.String contents)` Deprecated. Constructs a ButtonElement with the specified name and of the specified FieldType (submit, reset, or button), set to the specified String contents.

Method Summary
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`protected boolean` | `printCR()` Deprecated.
`ButtonElement` | `setContents(HtmlElement contents)` Deprecated. Sets the contents of a ButtonElement.
`ButtonElement` | `setDisabled(boolean disable)` Deprecated. Disables the button.
`ButtonElement` | `setName(java.lang.String val)` Deprecated. Sets the NAME attribute of a ButtonElement.
`ButtonElement` | `setOnBlur(java.lang.String val)` Deprecated. Sets the ONBLUR attribute of a ButtonElement.
`ButtonElement` | `setOnFocus(java.lang.String val)` Deprecated. Sets the ONFOCUS attribute of a ButtonElement.
`ButtonElement` | `setTabindex(int tabindex)` Deprecated. Sets the tabbing order for a ButtonElement, which defines the order in which page elements get the focus when a user navigates the page with a keyboard.
`ButtonElement` | `setTabindex(java.lang.String tabindex)` Deprecated. Sets the TABINDEX attribute for a ButtonElement.
`ButtonElement` | `setType(FieldType val)` Deprecated. Sets the type of an ButtonElement.
`ButtonElement` | `setValue(java.lang.String val)` Deprecated. Sets the VALUE attribute of a ButtonElement.

Methods inherited from class weblogic.html.SinglePartElement
`getElement, printBody, printBody, printBody, setElement, setElement, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, printBody, printEndingTag, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ButtonElement

    public ButtonElement()

  Deprecated.
  Constructs a ButtonElement.

### ButtonElement

    public ButtonElement(java.lang.String name)

  Deprecated.
  Constructs a ButtonElement with the specified name.

  Parameters:
    `name` - Setting for the NAME attribute

### ButtonElement

    public ButtonElement(java.lang.String name,
                         FieldType typeval)

  Deprecated.
  Constructs a ButtonElement of the specified FieldType (submit, reset, or button) and the specified name.

  Parameters:
    `name` - Setting for the NAME attribute
    `typeval` - Setting for the TYPE attribute

### ButtonElement

    public ButtonElement(java.lang.String name,
                         FieldType typeval,
                         HtmlElement contents)

  Deprecated.
  Constructs a ButtonElement with the specified name and of the specified FieldType (submit, reset, or button), set to the specified HtmlElement (for instance, an ImageElement). Note that you cannot associate a MapElement with an ImageElement that is the contents of a ButtonElement.

  Parameters:
    `name` - Setting for the NAME attribute
    `typeval` - Setting for the TYPE attribute
    `contents` - HtmlElement contents

### ButtonElement

    public ButtonElement(java.lang.String name,
                         FieldType typeval,
                         java.lang.String contents)

  Deprecated.
  Constructs a ButtonElement with the specified name and of the specified FieldType (submit, reset, or button), set to the specified String contents.

  Parameters:
    `name` - Setting for the NAME attribute
    `typeval` - Setting for the TYPE attribute
    `contents` - String contents

Method Detail

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### printCR

    protected boolean printCR()

  Deprecated.

  Overrides:
    printCR in class ElementWithAttributes

### setName

    public ButtonElement setName(java.lang.String val)

  Deprecated.
  Sets the NAME attribute of a ButtonElement.

  Parameters:
    `val` - Name
  Returns:
    ButtonElement object

### setTabindex

    public ButtonElement setTabindex(java.lang.String tabindex)

  Deprecated.
  Sets the TABINDEX attribute for a ButtonElement. The tabindex attribute determines the tabbing order of selectable or clickable elements on a page.

  Parameters:
    `tabindex` - Index
  Returns:
    ButtonElement object

### setTabindex

    public ButtonElement setTabindex(int tabindex)

  Deprecated.
  Sets the tabbing order for a ButtonElement, which defines the order in which page elements get the focus when a user navigates the page with a keyboard. This may be a positive or negative integer. Elements that are assigned the same tab index will be navigated in order of appearance on the page.

  Parameters:
    `tabindex` - int
  Returns:
    ButtonElement

### setType

    public ButtonElement setType(FieldType val)

  Deprecated.
  Sets the type of an ButtonElement. Valid types are submit, reset, and button.

  Parameters:
    `val` - FieldType object
  Returns:
    ButtonElement object

### setContents

    public ButtonElement setContents(HtmlElement contents)

  Deprecated.
  Sets the contents of a ButtonElement.

  Parameters:
    `HtmlElement` - for button content
  Returns:
    ButtonElement object

### setDisabled

    public ButtonElement setDisabled(boolean disable)

  Deprecated.
  Disables the button. To enable a disabled button, call this method with `false`.

  Parameters:
    `disable` - True to disable the button
  Returns:
    ButtonElement

### setOnBlur

    public ButtonElement setOnBlur(java.lang.String val)

  Deprecated.
  Sets the ONBLUR attribute of a ButtonElement. Valid with any button type.

  Parameters:
    `val` - Response
  Returns:
    ButtonElement object

### setOnFocus

    public ButtonElement setOnFocus(java.lang.String val)

  Deprecated.
  Sets the ONFOCUS attribute of a ButtonElement. Valid with any button type.

  Parameters:
    `val` - Response
  Returns:
    ButtonElement object

### setValue

    public ButtonElement setValue(java.lang.String val)

  Deprecated.
  Sets the VALUE attribute of a ButtonElement.

  Parameters:
    `val` - Value
  Returns:
    ButtonElement object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference